View Issue Details

IDProjectCategoryView StatusLast Update
0017409LazarusIDEpublic2011-09-13 11:14
ReporterMiroslav NyameshchukAssigned ToPaul Ishenin 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0017409: ScrollBox.VertScrollBar.Position values don't save
DescriptionScrollBox.VertScrollBar.Position values (in object inspector) don't save after reopen project or form. Always =0 after open form.
TagsNo tags attached.
Fixed in Revision30220
LazTarget0.99.0
WidgetsetGTK 2, Win32/Win64, WinCE, Carbon, QT, fpGUI
Attached Files

Relationships

has duplicate 0019100 closedZeljan Rikalo TScrollbox - scrollbar params aren't saved in lfm 

Activities

Zeljan Rikalo

2010-09-14 15:21

developer   ~0041071

I think that TControlScrollBar doesn't save design time properties on any widgetset.

Marco van de Voort

2010-09-14 16:26

manager   ~0041073

Moved to lazarus->ide on Zeljan's request.

Zeljan Rikalo

2010-09-14 16:36

developer   ~0041075

Problem exists on all ws.Changed properties from TControlScrollBar aren't saved.

Paul Ishenin

2011-04-06 13:31

manager   ~0047272

Please test and close if ok.

Miroslav Nyameshchuk

2011-09-13 11:14

reporter   ~0051766

All good!

Issue History

Date Modified Username Field Change
2010-09-14 13:48 Miroslav Nyameshchuk New Issue
2010-09-14 13:48 Miroslav Nyameshchuk Widgetset => Win32/Win64
2010-09-14 15:21 Zeljan Rikalo Note Added: 0041071
2010-09-14 16:25 Marco van de Voort Project Packages => Lazarus
2010-09-14 16:26 Marco van de Voort LazTarget => -
2010-09-14 16:26 Marco van de Voort Note Added: 0041073
2010-09-14 16:26 Marco van de Voort Category - => IDE
2010-09-14 16:36 Zeljan Rikalo Widgetset Win32/Win64 => GTK 2, Win32/Win64, WinCE, Carbon, QT, fpGUI
2010-09-14 16:36 Zeljan Rikalo Note Added: 0041075
2010-10-29 11:12 Vincent Snijders Status new => acknowledged
2011-04-05 12:08 Zeljan Rikalo Relationship added has duplicate 0019100
2011-04-05 12:10 Zeljan Rikalo LazTarget - => 0.99.0
2011-04-05 12:10 Zeljan Rikalo Priority normal => high
2011-04-06 13:31 Paul Ishenin Fixed in Revision => 30220
2011-04-06 13:31 Paul Ishenin Status acknowledged => resolved
2011-04-06 13:31 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-04-06 13:31 Paul Ishenin Resolution open => fixed
2011-04-06 13:31 Paul Ishenin Assigned To => Paul Ishenin
2011-04-06 13:31 Paul Ishenin Note Added: 0047272
2011-09-13 11:14 Miroslav Nyameshchuk Status resolved => closed
2011-09-13 11:14 Miroslav Nyameshchuk Note Added: 0051766